Gemini Notebook API

Gemini Notebook API. Enables developers and AI agents to programmatically create and manage notebooks and sources in Gemini Notebook.

Service: notebook.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://notebook.googleapis.com

REST Resource: v1.notebooks

Methods
create POST /v1/notebooks
Creates a new notebook.
get GET /v1/{name=notebooks/*}
Gets a specific notebook.
list GET /v1/notebooks
Lists notebooks accessible to the authenticated user.
patch PATCH /v1/{notebook.name=notebooks/*}
Updates an existing notebook.

REST Resource: v1.notebooks.sources

Methods
create POST /v1/{parent=notebooks/*}/sources
Creates a new source.
get GET /v1/{name=notebooks/*/sources/*}
Gets a specific source.
list GET /v1/{parent=notebooks/*}/sources
Lists sources in a notebook.